Creates a new contact-company link.

​
Body·
required

Request to create a new link between a contact and a company.

  • companyId
    Type: string
    required

    ID of the company.

  • contactId
    Type: string
    required

    ID of the contact.

  • jobTitle
    Type: null | string
    max length:  
    255

    Job title at the company (e.g. 'CFO').

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/network/links
curl https://app.propstreet.com/api/v1/network/links \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "contactId": "",
  "companyId": "",
  "jobTitle": null
}'
{
  "id": "string",
  "contactId": "string",
  "companyId": "string",
  "jobTitle": null,
  "createdUtc": "2026-05-18T20:22:36.959Z",
  "updatedUtc": "2026-05-18T20:22:36.959Z",
  "deletedUtc": null,
  "etag": "string",
  "changeType": null,
  "changeOrigin": null
}

Created

Propstreet API Documentation

DocumentationAPI Reference